
Redmine - Feature #13107

API: Users that doesn't have the right on managing members can't access to the members list of a

project

2013-02-08 11:59 - Anonymous

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Only user who can manage the members of a project have access to the member list of the project thought the memberships API.

Could you allow this (view only) for any members of a project ?

Related issues:

Related to Redmine - Defect #15848: REST API: Cannot retrieve memberships of ... Closed

History

#1 - 2013-04-18 14:13 - Phillip Wieser

+1

Same issue applied to "manage issue categories"

2.2.3.stable

#2 - 2013-12-16 18:22 - Mário Barbosa

I can still see this bug on 2.4.1 stable.

#3 - 2020-06-13 07:27 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r12650 for Redmine 2.5.0.

#4 - 2020-06-13 07:27 - Go MAEDA

- Related to Defect #15848: REST API: Cannot retrieve memberships of closed projects added
